#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <iostream>

#include "sopnamsp.h"
#include "ppersist.h"
int main(int narg, char *arg[])
{
  const char * sid[3] = { "Hello","Reza","ERIC" } ;
  uint_8 code[3];
  int k;
  printf(" ------- Testing SOPHYA Hash coding --------- \n");
  printf(" Size of uint_4 = %d \n ", sizeof(uint_4)); 
  printf(" Size of uint_8 = %d \n ", sizeof(uint_8)); 
  printf(" Size of unsigned long = %d \n ", sizeof(unsigned long)); 
  for(k=0; k<3; k++) {
    code[k] = PPersistRegistrar<double>::Hash(sid[k]);
    printf(" Resultat de Hash sur %s = %lx  (%ld) \n", sid[k], code[k], code[k]);
    cout << " Result--- " << code[k] << endl;
  }
}
